Subject: Re: Available disk space per tablespace

From: solai v <[email-masked]>
Date: Fri, 22 May 2026 11:45:25 +0530

Hi ,
I tested the v5 of the pg_tablespace_avail() patch  on Linux.
The patch applied and built cleanly for me .After applying the patch
and re-running initdb,pg_tablespace_avail() worked correctly and \db+
showed the new Free column as expected.
The reported values matched the output from df -h on my system.I also
tested custom tablespace and non-superuser access,and both behaved
correctly.
Additionally,I ran :
make check TESTS= tablespace
and all tests passed.
Overall , the feature looks useful and worked well in my testing.

Regards
Solai